import React from 'react';

function ScrollTo(_ref) {
  var targetId = _ref.targetId,
    behavior = _ref.behavior;
  try {
    var node = document.getElementById(targetId);
    console.log(node.offsetTop, node.offsetHeight, node.offsetParent);
    window.scrollTo({
      top: node.offsetTop,
      left: 0,
      behavior: behavior || 'smooth'
    });
  } catch (error) {
    console.log(targetId + " ID NOT FOUND IN THE SECTION SCROLLABLE !");
  }
}
function SectionScrollable(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/React.createElement("section", {
    className: ""
  }, children);
}

export default SectionScrollable;
export { ScrollTo };
//# sourceMappingURL=index.modern.js.map
